export declare namespace PrivateActions { }
import { Action as VuexAction, ActionContext as VuexActionContext, Dispatch } from "vuex";
import { Account } from "../Account";
import { RolesAuthModule as Me } from "./RolesAuthModule";
declare type ActionFn = VuexAction<Me.State, Me.State>;
declare type ActionContext = VuexActionContext<Me.State, Me.State>;
export declare namespace PrivateActions {
    namespace EnsureAccountRegistered {
        const name: string;
        type Payload = Account;
        type Declaration = ActionFn & ((c: ActionContext, account: Payload) => void);
        interface Implementator {
            getAction(): Declaration;
        }
        function dispatch(dispatchFn: Dispatch, payload: Payload): Promise<any>;
    }
}
export {};
