"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const impl_actions_1 = require("./impl_actions");
const impl_getters_1 = require("./impl_getters");
const impl_mutations_1 = require("./impl_mutations");
const impl_state_1 = require("./impl_state");
var RolesAuthModuleImpl;
(function (RolesAuthModuleImpl) {
    function constructModule(config, firebaseAuth, firestore) {
        return {
            state: impl_state_1.constructState(),
            mutations: impl_mutations_1.constructMutations(),
            actions: impl_actions_1.constructActions(config, firebaseAuth, firestore),
            getters: impl_getters_1.getters,
        };
    }
    RolesAuthModuleImpl.constructModule = constructModule;
})(RolesAuthModuleImpl = exports.RolesAuthModuleImpl || (exports.RolesAuthModuleImpl = {}));
//# sourceMappingURL=RolesAuthModuleImpl.js.map