import { FirestoreRolesConfiguration } from "firestore-roles";
import { Account } from "./Account";
export interface Configuration {
    roles: FirestoreRolesConfiguration;
    callbacks: Configuration.AuthCallbacks;
}
export declare namespace Configuration {
    function validate(c: Configuration): void;
    interface AuthCallbacks {
        onAuthenticated: (account: Account) => void;
        onError: (msg: string) => void;
        onNotAuthenticated: () => void;
    }
    namespace AuthCallbacks {
        function validate(ac: AuthCallbacks): void;
    }
}
