import * as firebase from "firebase/app";
export declare class AuthAdapter {
    private auth;
    constructor(auth: firebase.auth.Auth);
    initialize(callbacks: AuthAdapter.Callbacks): void;
    signOut(): Promise<void>;
}
export declare namespace AuthAdapter {
    interface Callbacks {
        onAuthenticated: (account: firebase.UserInfo) => void;
        onError: (msg: string) => void;
        onNotAuthenticated: () => void;
    }
}
