"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RolesAuthModule_1 = require("./RolesAuthModule");
var Mutations;
(function (Mutations) {
    let SetAccount;
    (function (SetAccount) {
        SetAccount.name = RolesAuthModule_1.RolesAuthModule.localName("setAccount");
        function commit(commitFn, payload) {
            return commitFn(SetAccount.name, payload);
        }
        SetAccount.commit = commit;
    })(SetAccount = Mutations.SetAccount || (Mutations.SetAccount = {}));
    let ResetUser;
    (function (ResetUser) {
        ResetUser.name = RolesAuthModule_1.RolesAuthModule.localName("resetUser");
        function commit(commitFn) {
            return commitFn(ResetUser.name);
        }
        ResetUser.commit = commit;
    })(ResetUser = Mutations.ResetUser || (Mutations.ResetUser = {}));
    let SetState;
    (function (SetState) {
        SetState.name = RolesAuthModule_1.RolesAuthModule.localName("setState");
        function commit(commitFn, payload) {
            return commitFn(SetState.name, payload);
        }
        SetState.commit = commit;
    })(SetState = Mutations.SetState || (Mutations.SetState = {}));
    let SetRole;
    (function (SetRole) {
        SetRole.name = RolesAuthModule_1.RolesAuthModule.localName("setRole");
        function commit(commitFn, payload) {
            return commitFn(SetRole.name, payload);
        }
        SetRole.commit = commit;
    })(SetRole = Mutations.SetRole || (Mutations.SetRole = {}));
    let SetRoleRequest;
    (function (SetRoleRequest) {
        SetRoleRequest.name = RolesAuthModule_1.RolesAuthModule.localName("setRoleRequest");
        function commit(commitFn, payload) {
            return commitFn(SetRoleRequest.name, payload);
        }
        SetRoleRequest.commit = commit;
    })(SetRoleRequest = Mutations.SetRoleRequest || (Mutations.SetRoleRequest = {}));
})(Mutations = exports.Mutations || (exports.Mutations = {}));
//# sourceMappingURL=Mutations.js.map